Поддержка считывания с КМ5 версии ПО 02.33

Прошу вас добавить поддержку теплосчётчиков КМ5 версии ПО 02.33.

Доступ к прибору КМ5-3 версии ПО 02.33 отправил вам на почту. Тема письма совпадает с название темы это треда.

Информация о проблеме взята из темы Проблема при опросе часовых КМ 5-1.
Возможно еще пользователь с ником anbeluaev вам предоставит доступ для полной картины.
Имеем несколько таких приборов, к ЛЭРС не подключали и о каких то проблемах считывания сообщить не сможем, так как пользуемся штатным ПО.

Оформите тему согласно Условиям и правилам оформления заявок в разделе Поддержка новых устройств.

  1. http://www.tbnenergo.ru
  2. КМ5 версии ПО 02.33 - http://www.tbnenergo.ru/elektromagnitnyie-teploschetchiki-i-schetchiki-rashodomeryi/
  3. Руководство по эксплуатации устройства - http://www.tbnenergo.ru/file/rukovodstvo-po-ekspluatatsii-KM-5.pdf
  4. Описание протокола обмена с устройством. Судя из темы вы с разработчиком связывались.
  5. Удаленный доступ к работающему устройству через сеть Интернет или GSM предоставил в письме на ваш емейл support@lers.ru
  6. Заводская программа чтения данных, для проверки доступа и корректности работы драйвера - http://www.tbnenergo.ru/file/Km5db_4_01_11.rar

87.255.242.118:10091 sn 308713

Мы отправили производителю письмо с просьбой предоставить описание протокола обмена и ожидаем ответа.

Другой разработчик из «ТБН энергосервис» сообщил нам, что в приборе остался старый протокол обмена.
Он также сообщил, что проблема опроса возникает из-за ошибки прошивки версии 2.33.
Производитель рекомендует обновить прошивку самостоятельно, если имеется опыт, или обратиться в службу сервиса.

Не совсем ясна формулировка. Ошибка была допущена в процессе прошивки прибора или в процессе написания прошивки 2.33? Мне следует ещё раз прошить прибор или запрашивать у производителя другую версию прошивки(2.34 видимо)?

Ошибка допущена не во время прошивки прибора, а в самом программном обеспечении прибора производителя версии 2.33. Производитель рекомендует обновить прошивку до последней версии самостоятельно или обратиться в сервисную службу. Если вы еще раз прошьете прибор до версии 2.33, то ошибка останется. Необходима более новая версия прошивки.